{{> ph_us/mobileNorthStar/formStyles }}

<script>
  // add meta tag to head and set it to make the page responsive
  // this should just be in the html in default.hbs but my changes won't show up for some reason right now.
  const meta = document.createElement('meta');
  meta.setAttribute('name', 'viewport');
  meta.setAttribute('content', 'width=device-width, initial-scale=1');

  // set sizing to be larger

  document.getElementsByTagName('head')[0].appendChild(meta);
</script>

<form method="post" class="mobile-container" action="{{base_path}}/register">
  <input name="_csrf" type="hidden" value="{{csrf_token}}" />

  <!-- Submit as true if Send me promotional text messages is checked? -->
  <input id="opt-in-sms" name="metadata[sms_opt_in_flag]" type="hidden" value="false" />

  <!-- Always submitted as true if tos is true (which is implicitly true by hitting Create Account)? -->
  <input name="metadata[loyalty_opt_in_flag]" type="hidden" value="true" />

  <!-- Hut Rewards Header -->
  <div class="hut-rewards-svg-container">
    <svg width="254" height="54" viewBox="0 0 254 54" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path d="M67.5242 37.0499C67.5473 38.0839 67.9476 39.072 68.647 39.8214C68.7437 39.9345 68.8065 40.0735 68.8276 40.222C68.8488 40.3705 68.8275 40.522 68.7663 40.6585C68.7051 40.7949 68.6066 40.9104 68.4825 40.9913C68.3585 41.0721 68.2143 41.1147 68.0671 41.1141H60.1656C60.0194 41.1126 59.8766 41.0679 59.7549 40.9853C59.6331 40.9027 59.5375 40.7858 59.4797 40.6488C59.4219 40.5119 59.4044 40.3608 59.4293 40.2139C59.4543 40.067 59.5206 39.9306 59.6202 39.8214C60.3205 39.0724 60.7217 38.0842 60.7455 37.0499V30.843C60.7455 29.3291 60.2742 27.3698 57.8805 27.3698C56.8213 27.3698 55.5238 27.7773 54.0012 28.3306V37.0499C54.025 38.0842 54.4263 39.0724 55.1266 39.8214C55.2234 39.9345 55.2861 40.0735 55.3073 40.222C55.3285 40.3705 55.3072 40.522 55.246 40.6585C55.1848 40.7949 55.0862 40.9104 54.9622 40.9913C54.8382 41.0721 54.6939 41.1147 54.5467 41.1141H46.6426C46.4966 41.1121 46.3542 41.067 46.2329 40.9842C46.1115 40.9014 46.0163 40.7845 45.9588 40.6476C45.9013 40.5108 45.8841 40.3599 45.9091 40.2132C45.9341 40.0666 46.0004 39.9304 46.0998 39.8214C46.7992 39.072 47.1995 38.0839 47.2225 37.0499V30.9914C44.8394 31.8415 42.3292 32.5054 39.9725 32.5054C35.7676 32.5054 34.4277 29.2913 34.4277 26.6331C34.4304 26.299 34.4542 25.9655 34.4992 25.6346C34.5174 25.485 34.5762 25.3436 34.669 25.2263C34.7618 25.109 34.8849 25.0203 35.0244 24.9704C35.1639 24.9205 35.3144 24.9113 35.4588 24.9437C35.6032 24.9762 35.7358 25.0491 35.8417 25.1542C37.2902 26.7437 40.1552 27.6289 42.9911 27.6289C44.4094 27.6225 45.8253 27.5115 47.2278 27.297V19.3548C47.2125 18.3081 46.8117 17.3054 46.1051 16.5455C46.008 16.4392 45.9436 16.3063 45.9197 16.1631C45.8958 16.0199 45.9135 15.8727 45.9706 15.7397C46.0277 15.6066 46.1218 15.4935 46.2412 15.4142C46.3606 15.3349 46.5001 15.2929 46.6426 15.2934H54.5467C54.6908 15.2899 54.8329 15.3291 54.9555 15.4063C55.0782 15.4836 55.1762 15.5955 55.2376 15.7284C55.299 15.8613 55.3212 16.0095 55.3015 16.1551C55.2818 16.3007 55.2211 16.4372 55.1266 16.5482C54.419 17.3077 54.0174 18.3104 54.0012 19.3575V25.4889C55.3437 25.0841 56.6121 24.7494 57.989 24.7494C59.366 24.7494 60.2001 25.1947 60.7455 25.7479V19.3548C60.7294 18.3077 60.3277 17.305 59.6202 16.5455C59.5217 16.4388 59.4563 16.3049 59.4322 16.1605C59.4081 16.0161 59.4262 15.8676 59.4844 15.7337C59.5427 15.5998 59.6383 15.4863 59.7595 15.4075C59.8807 15.3287 60.0219 15.2881 60.1656 15.2907H68.0671C68.2112 15.2872 68.3532 15.3264 68.4759 15.4037C68.5985 15.4809 68.6965 15.5928 68.7579 15.7257C68.8194 15.8586 68.8416 16.0068 68.8219 16.1524C68.8022 16.2979 68.7414 16.4345 68.647 16.5455C67.9403 17.3054 67.5396 18.3081 67.5242 19.3548V37.0499ZM88.5832 37.1983C88.6073 38.1646 88.9851 39.0868 89.6424 39.7836C89.7334 39.8841 89.7937 40.0094 89.816 40.1442C89.8383 40.279 89.8216 40.4175 89.768 40.5428C89.7144 40.6682 89.6261 40.7749 89.514 40.8499C89.4019 40.925 89.2708 40.9652 89.1367 40.9656H83.2556C83.0183 40.9557 82.7933 40.8554 82.6251 40.6845C82.4569 40.5136 82.3578 40.2845 82.3474 40.0427V39.4517C81.0075 40.6715 79.1698 41.1869 77.3163 41.1869C75.0682 41.1869 71.4776 40.0805 71.4776 35.4604V26.3363C71.4685 25.3756 71.1067 24.4532 70.4634 23.7509C70.3758 23.6491 70.3185 23.5239 70.2981 23.3901C70.2778 23.2562 70.2954 23.1192 70.3487 22.9951C70.4021 22.8711 70.4891 22.7651 70.5994 22.6896C70.7098 22.6141 70.839 22.5723 70.9718 22.5689H76.845C76.9642 22.5679 77.0824 22.591 77.1928 22.637C77.3031 22.683 77.4034 22.7509 77.4877 22.8369C77.572 22.9228 77.6386 23.0249 77.6838 23.1374C77.7289 23.2499 77.7516 23.3704 77.7505 23.4919V34.6859C77.7505 36.4589 78.5846 37.5303 80.0331 37.5303C81.5212 37.5303 82.3182 36.4967 82.3182 34.6859V26.3363C82.3091 25.3756 81.9473 24.4532 81.3041 23.7509C81.2166 23.6493 81.1592 23.5243 81.1388 23.3907C81.1184 23.2571 81.1357 23.1203 81.1888 22.9963C81.2418 22.8724 81.3284 22.7663 81.4384 22.6907C81.5483 22.615 81.6772 22.5728 81.8098 22.5689H87.6829C87.8022 22.5675 87.9206 22.5904 88.0312 22.6362C88.1417 22.6821 88.2421 22.75 88.3264 22.836C88.4108 22.922 88.4775 23.0243 88.5225 23.137C88.5675 23.2496 88.59 23.3703 88.5885 23.4919L88.5832 37.1983ZM98.4441 25.1165V35.6412C98.4441 37.0067 99.5033 37.5626 100.472 37.0823C100.594 37.0245 100.729 37.0041 100.861 37.0235C100.994 37.043 101.117 37.1015 101.218 37.1919C101.318 37.2822 101.39 37.4004 101.425 37.532C101.46 37.6636 101.457 37.8028 101.415 37.9324C100.909 39.7405 99.4583 41.1707 96.956 41.1707C93.4766 41.1707 92.1712 37.9566 92.1712 35.6304V25.1057H91.4456C91.2611 25.1056 91.081 25.0477 90.9297 24.9399C90.7785 24.8321 90.6634 24.6794 90.6002 24.5027C90.5369 24.326 90.5284 24.1338 90.5759 23.952C90.6234 23.7702 90.7246 23.6077 90.8658 23.4865L96.956 18.5345C97.0926 18.4285 97.2554 18.3632 97.4262 18.346C97.5971 18.3288 97.7693 18.3603 97.9236 18.4369C98.0779 18.5136 98.2083 18.6325 98.3002 18.7803C98.3921 18.928 98.4419 19.0989 98.4441 19.2739V22.5797H100.793C101.032 22.5832 101.261 22.6815 101.43 22.8537C101.6 23.026 101.697 23.2587 101.701 23.5027V24.1989C101.689 24.4398 101.59 24.6675 101.422 24.8373C101.254 25.0071 101.029 25.1067 100.793 25.1165H98.4441ZM119.429 30.6946H118.198V36.977C118.222 38.0114 118.626 38.9991 119.328 39.7458C119.429 39.8548 119.496 39.9911 119.521 40.1382C119.547 40.2853 119.53 40.4368 119.472 40.5742C119.414 40.7116 119.319 40.8289 119.197 40.9118C119.075 40.9948 118.932 41.0397 118.786 41.0412H110.874C110.726 41.0412 110.582 40.998 110.458 40.9168C110.335 40.8357 110.236 40.7199 110.175 40.5834C110.114 40.4469 110.093 40.2954 110.114 40.1469C110.135 39.9984 110.197 39.8592 110.294 39.7458C111.019 39.0121 111.435 38.0187 111.453 36.977V19.2793C111.435 18.2266 111.02 17.2214 110.294 16.4727C110.2 16.3614 110.139 16.2247 110.12 16.0791C110.1 15.9335 110.122 15.7853 110.184 15.6523C110.245 15.5193 110.343 15.4073 110.465 15.3297C110.588 15.2521 110.729 15.2123 110.874 15.2151H120.806C125.773 15.2151 130.158 17.3578 130.158 22.7902C130.158 26.2634 128.384 28.5168 125.556 29.6988L128.999 35.7572C129.931 37.2658 131.108 38.6025 132.478 39.7108C132.597 39.8083 132.684 39.9414 132.725 40.0915C132.766 40.2415 132.761 40.401 132.709 40.5476C132.657 40.6942 132.561 40.8206 132.435 40.9091C132.309 40.9976 132.16 41.0438 132.007 41.0412H122.654C122.51 41.0352 122.37 40.9877 122.251 40.9039C122.132 40.8202 122.038 40.7038 121.981 40.5682C121.925 40.4327 121.907 40.2834 121.93 40.1379C121.953 39.9923 122.016 39.8564 122.111 39.7458C122.691 39.082 122.945 38.159 121.677 35.4604L119.429 30.6946ZM118.198 27.9959C121.569 27.9231 122.908 25.9261 122.908 22.712C122.908 19.2766 121.206 17.6898 119.792 17.6898C118.812 17.6898 118.203 18.3914 118.203 19.6841L118.198 27.9959ZM141.499 41.0385C135.481 41.0385 131.856 37.2334 131.856 31.6175C131.856 26.0016 135.701 22.1965 141.208 22.1965C146.104 22.1965 149.112 25.2244 149.112 28.1336C149.112 30.8673 146.973 33.5309 141.608 33.5309C140.638 33.5233 139.669 33.4485 138.709 33.3069C139.214 35.4496 140.737 37.371 142.876 37.371C145.342 37.371 146.176 34.9422 147.407 34.9422C148.061 34.9422 148.569 35.5683 148.569 36.4562C148.575 38.3803 146.435 41.0412 141.505 41.0412L141.499 41.0385ZM139.36 30.5812C142.079 30.5812 142.876 29.0295 142.622 27.6262C142.405 26.4442 141.462 25.4457 140.34 25.4457C138.854 25.4457 137.983 26.9974 137.983 29.2238C137.985 29.6444 138.022 30.0641 138.092 30.4787C138.513 30.5499 138.939 30.5851 139.365 30.5839L139.36 30.5812ZM159.116 40.9629H157.848C157.602 40.9605 157.363 40.8816 157.162 40.737C156.962 40.5923 156.809 40.3887 156.725 40.1533L151.215 26.1878C150.801 25.2016 150.107 24.3648 149.221 23.786C149.102 23.7082 149.012 23.593 148.963 23.458C148.914 23.323 148.91 23.1755 148.951 23.0378C148.992 22.9002 149.076 22.7799 149.19 22.6953C149.304 22.6107 149.443 22.5663 149.584 22.5689H157.668C157.797 22.5697 157.924 22.6093 158.032 22.6829C158.14 22.7564 158.224 22.8605 158.274 22.9824C158.324 23.1043 158.338 23.2386 158.314 23.3685C158.29 23.4984 158.229 23.6182 158.139 23.7132C157.959 23.8894 157.817 24.1023 157.723 24.338C157.629 24.5738 157.585 24.8271 157.594 25.0814C157.623 25.595 157.711 26.1032 157.858 26.5953L159.889 32.7644L161.195 28.0364C161.387 27.3897 161.484 26.7177 161.483 26.0421C161.499 25.6069 161.41 25.1743 161.226 24.7815C161.041 24.3886 160.766 24.0471 160.424 23.786C160.309 23.706 160.222 23.5907 160.176 23.4568C160.13 23.3229 160.127 23.1775 160.167 23.0417C160.208 22.9059 160.29 22.7869 160.401 22.7018C160.513 22.6168 160.648 22.5702 160.787 22.5689H168.466C168.596 22.5697 168.722 22.6093 168.83 22.6829C168.938 22.7564 169.022 22.8605 169.072 22.9824C169.123 23.1043 169.137 23.2386 169.113 23.3685C169.089 23.4984 169.028 23.6182 168.937 23.7132C168.753 23.8881 168.607 24.1 168.507 24.3355C168.407 24.5709 168.356 24.8249 168.357 25.0814C168.363 25.5974 168.453 26.1089 168.622 26.5953L170.653 32.7644L172.067 27.556C172.269 26.9098 172.379 26.2372 172.393 25.559C172.416 25.2164 172.347 24.8738 172.194 24.5681C172.04 24.2623 171.808 24.005 171.522 23.8238C171.396 23.7502 171.297 23.6364 171.241 23.4999C171.185 23.3635 171.175 23.212 171.212 23.0691C171.249 22.9261 171.332 22.7996 171.447 22.7092C171.561 22.6187 171.702 22.5695 171.847 22.5689H178.772C178.919 22.5676 179.062 22.6172 179.178 22.7097C179.294 22.8022 179.375 22.932 179.409 23.0779C179.443 23.2238 179.427 23.377 179.364 23.5126C179.301 23.6481 179.195 23.7579 179.063 23.8238C177.474 24.6739 176.706 25.7452 176.126 27.2241L171.05 40.1533C170.958 40.3906 170.798 40.5945 170.592 40.7387C170.385 40.8829 170.141 40.961 169.891 40.9629H168.659C168.409 40.961 168.165 40.8829 167.958 40.7387C167.751 40.5945 167.592 40.3906 167.5 40.1533L163.872 30.9455L160.281 40.1452C160.191 40.3846 160.032 40.5907 159.825 40.7369C159.618 40.8832 159.373 40.9629 159.121 40.9656L159.116 40.9629ZM192.613 41.2598C189.893 41.2598 188.77 39.4112 188.77 39.4112C188.77 39.4112 187.245 41.2598 183.84 41.2598C180.435 41.2598 177.789 39.2304 177.789 35.8031C177.789 28.5977 188.484 31.2937 188.484 27.1189C188.484 25.7156 187.542 25.2001 186.599 25.2001C184.025 25.2001 184.46 28.819 181.597 28.819C181.294 28.8244 180.993 28.7682 180.712 28.6536C180.43 28.5391 180.174 28.3686 179.958 28.152C179.742 27.9354 179.571 27.6771 179.454 27.3922C179.337 27.1073 179.277 26.8016 179.278 26.4928C179.278 24.682 181.306 22.4286 187.179 22.4286C192.038 22.4286 194.829 24.2745 194.829 27.7476V35.876C194.829 38.7959 196.46 37.8703 196.46 39.0172C196.46 39.7836 195.059 41.2625 192.618 41.2625L192.613 41.2598ZM186.414 37.6004C187.499 37.6004 188.588 36.753 188.588 35.6061V31.1749C186.957 32.7644 184.057 33.1719 184.057 35.4928C184.062 36.8664 185.368 37.6031 186.419 37.6031L186.414 37.6004ZM213.092 25.1866C213.092 26.5899 212.149 27.9204 210.338 27.9204C208.632 27.9204 208.161 26.8841 207.001 26.8841C205.842 26.8841 205.045 28.3629 205.045 31.0967V37.2658C205.045 38.3749 205.59 39.225 206.104 39.8538C206.195 39.9543 206.255 40.0795 206.277 40.2144C206.3 40.3492 206.283 40.4877 206.229 40.613C206.176 40.7383 206.087 40.845 205.975 40.9201C205.863 40.9952 205.732 41.0354 205.598 41.0358H198.237C198.104 41.032 197.975 40.9898 197.865 40.9141C197.755 40.8384 197.669 40.7324 197.616 40.6084C197.563 40.4845 197.545 40.3477 197.566 40.214C197.586 40.0804 197.643 39.9555 197.731 39.8538C198.388 39.1558 198.766 38.2328 198.79 37.2658V26.3363C198.781 25.375 198.418 24.4522 197.773 23.7509C197.686 23.6491 197.628 23.5239 197.608 23.3901C197.588 23.2562 197.605 23.1192 197.659 22.9951C197.712 22.8711 197.799 22.7651 197.909 22.6896C198.02 22.6141 198.149 22.5723 198.282 22.5689H204.155C204.274 22.5675 204.393 22.5904 204.503 22.6362C204.614 22.6821 204.714 22.75 204.798 22.836C204.883 22.922 204.949 23.0243 204.994 23.137C205.039 23.2496 205.062 23.3703 205.06 23.4919V25.524C206.149 23.7132 208.177 22.3449 210.062 22.3449C212.12 22.3449 213.097 23.786 213.097 25.192L213.092 25.1866ZM231.834 41.0358H225.966C225.723 41.0327 225.49 40.9352 225.315 40.7632C225.14 40.5913 225.035 40.3577 225.023 40.1102V39.1494C224.081 40.407 222.232 41.2571 220.13 41.2571C216.359 41.2571 213.097 38.9282 213.097 31.8361C213.097 24.744 216.359 22.4151 220.13 22.4151C222.232 22.4151 224.081 23.2652 225.023 24.5201V20.0133C225.032 19.6035 224.959 19.1962 224.81 18.8155C224.661 18.4349 224.438 18.0888 224.155 17.7977C224.054 17.6854 223.983 17.5481 223.951 17.3995C223.918 17.2509 223.923 17.0962 223.967 16.9506C224.011 16.805 224.092 16.6736 224.201 16.5694C224.31 16.4652 224.444 16.3919 224.589 16.3566L230.171 14.9884C230.304 14.9534 230.443 14.9499 230.577 14.9781C230.712 15.0064 230.838 15.0656 230.947 15.1513C231.056 15.237 231.144 15.3469 231.204 15.4725C231.265 15.5982 231.296 15.7363 231.296 15.8763V37.2658C231.319 38.2331 231.697 39.1566 232.355 39.8538C232.444 39.9564 232.502 40.0827 232.522 40.2178C232.542 40.3528 232.524 40.491 232.47 40.6159C232.416 40.7408 232.327 40.8473 232.216 40.9226C232.104 40.998 231.973 41.0392 231.839 41.0412L231.834 41.0358ZM225.018 31.8361C225.018 27.5506 223.93 25.7021 222.298 25.7021C220.667 25.7021 219.582 27.5506 219.582 31.8361C219.582 36.1216 220.673 37.962 222.304 37.962C223.935 37.962 225.023 36.127 225.023 31.8415L225.018 31.8361ZM247.674 26.1473C247.674 27.1809 246.985 27.9932 245.788 27.9932C243.76 27.9932 243.794 25.6292 241.62 25.6292C240.678 25.6292 240.032 26.1473 240.032 26.8841C240.032 29.4343 248.333 29.1375 248.333 34.9018C248.333 39.7405 244.162 41.1815 240.575 41.1815C235.935 41.1815 233.579 38.634 233.579 36.7503C233.569 36.4873 233.613 36.2251 233.708 35.9804C233.803 35.7357 233.948 35.5141 234.132 35.3296C234.316 35.1451 234.536 35.0019 234.778 34.9092C235.02 34.8165 235.278 34.7763 235.535 34.7911C238.183 34.7911 238.038 37.8946 240.392 37.8946C241.409 37.8946 242.169 37.3036 242.169 36.4157C242.169 33.1288 234.013 33.4256 234.013 27.9554C234.013 24.7171 236.732 22.3396 241.162 22.3396C245.831 22.3449 247.679 24.5255 247.679 26.1527L247.674 26.1473ZM252.784 25.6076C252.535 25.8584 252.218 26.0283 251.874 26.0957C251.53 26.1632 251.174 26.1252 250.852 25.9865C250.529 25.8479 250.254 25.6149 250.061 25.3168C249.868 25.0188 249.766 24.6692 249.768 24.3123C249.763 24.0652 249.809 23.8197 249.905 23.5926C250 23.3654 250.142 23.1617 250.322 22.9953C250.65 22.676 251.088 22.4998 251.542 22.5042C251.895 22.5046 252.239 22.6121 252.532 22.8128C252.825 23.0135 253.052 23.2983 253.185 23.6312C253.318 23.964 253.351 24.3296 253.28 24.6816C253.208 25.0336 253.036 25.3559 252.784 25.6076ZM250.502 23.2652C250.366 23.4039 250.258 23.5686 250.184 23.7498C250.111 23.931 250.073 24.1252 250.073 24.3213C250.073 24.5174 250.111 24.7115 250.185 24.8927C250.259 25.0738 250.367 25.2383 250.503 25.3769C250.778 25.6567 251.151 25.8138 251.539 25.8136C251.732 25.8134 251.922 25.7747 252.1 25.6995C252.278 25.6244 252.439 25.5143 252.575 25.3755C252.849 25.0953 253.003 24.7159 253.003 24.3204C253.003 23.9248 252.849 23.5454 252.575 23.2652C252.441 23.1228 252.279 23.0096 252.101 22.9322C251.923 22.8549 251.731 22.815 251.537 22.815C251.343 22.815 251.151 22.8549 250.973 22.9322C250.795 23.0096 250.633 23.1228 250.499 23.2652H250.502ZM250.766 25.3162V23.3138H251.312H251.717C251.852 23.3194 251.985 23.3543 252.106 23.4163C252.191 23.4612 252.261 23.5302 252.308 23.615C252.355 23.6998 252.377 23.7968 252.371 23.894C252.377 23.9614 252.368 24.0294 252.344 24.0926C252.32 24.1557 252.282 24.2125 252.233 24.2583C252.135 24.3366 252.016 24.3836 251.892 24.3932C251.992 24.4093 252.087 24.449 252.17 24.5093C252.231 24.5653 252.279 24.6352 252.31 24.7135C252.34 24.7917 252.352 24.8761 252.345 24.9599V25.1381C252.343 25.1578 252.343 25.1777 252.345 25.1974C252.347 25.2169 252.353 25.236 252.36 25.2541L252.376 25.3108H251.886C251.867 25.2221 251.857 25.1317 251.855 25.0409C251.856 24.9577 251.844 24.8749 251.82 24.7953C251.809 24.7612 251.79 24.7302 251.765 24.7045C251.741 24.6788 251.711 24.6591 251.677 24.6469C251.621 24.6274 251.562 24.6165 251.503 24.6145H251.389H251.28V25.3216L250.766 25.3162ZM251.704 23.697C251.607 23.6662 251.506 23.6525 251.405 23.6565H251.28V24.2367H251.479C251.578 24.2425 251.677 24.2171 251.762 24.1638C251.797 24.136 251.824 24.0997 251.842 24.0582C251.86 24.0167 251.867 23.9714 251.863 23.9264C251.859 23.8814 251.843 23.8384 251.815 23.8029C251.788 23.7674 251.751 23.7409 251.709 23.7267L251.704 23.697Z" fill="black"/>
      <path d="M14.7529 6.05586C10.2425 6.36719 5.77224 7.12274 1.40468 8.31193C0.755936 6.76291 0.36669 5.82108 0.345506 5.71583C-0.0463875 4.44207 0.480551 3.52183 1.78598 3.14132C6.12692 1.90366 10.5812 1.12415 15.0786 0.815081C16.8633 0.682847 18.6454 0.623477 20.4195 0.620778C22.1936 0.618079 23.9756 0.682847 25.763 0.815081C30.2634 1.12607 34.7204 1.9083 39.0636 3.14941C40.369 3.52992 40.8959 4.45016 40.5067 5.72393C40.4723 5.82917 40.083 6.771 39.4343 8.32003C35.0658 7.13063 30.5947 6.37508 26.0834 6.06396C24.2669 5.92093 22.4134 5.84806 20.4168 5.84806C18.4203 5.84806 16.5694 5.92093 14.7529 6.05586ZM31.1515 28.0202C30.8576 28.7272 22.2386 48.7998 20.4062 53.1743C18.5527 48.8295 9.98398 28.7677 9.64239 27.9473C7.37047 22.496 5.04029 17.0718 2.73129 11.6394C2.61743 11.3695 2.52211 11.0996 2.38441 10.7542C14.4378 7.71013 26.3853 7.73712 38.4784 10.7866L35.8807 16.8828C34.2999 20.5935 32.6953 24.2933 31.1515 28.0202Z" fill="#EF3E42"/>
      <path d="M17.7759 10.5492L20.1538 16.1839L26.146 15.6226L21.6207 19.6679L23.9986 25.3027L18.8245 22.1669L14.3018 26.2121L15.6284 20.2292L10.457 17.0934L16.4493 16.5321L17.7759 10.5492Z" fill="white"/>
      <path d="M20.7629 31.658L24.3111 29.267L22.8177 33.3284L26.1461 36.0298L21.8962 35.8382L20.4028 39.897L19.2695 35.7195L15.0195 35.5251L18.5678 33.1368L17.4344 28.9566L20.7629 31.658Z" fill="white"/>
      <path d="M252.648 10.6813H42.8767C42.318 10.6813 41.8652 10.487 41.8652 10.2468C41.8652 10.0067 42.318 9.80966 42.8767 9.80966H252.648C253.115 9.80966 253.493 10.004 253.493 10.2468C253.493 10.4897 253.115 10.6813 252.648 10.6813Z" fill="black"/>
      <path d="M253.286 47.0943H29.4621C29.1179 47.0943 28.8398 46.8973 28.8398 46.6571C28.8398 46.417 29.1046 46.2199 29.4621 46.2199H253.286C253.35 46.2075 253.415 46.2094 253.477 46.2256C253.54 46.2418 253.598 46.2719 253.647 46.3137C253.697 46.3555 253.737 46.4079 253.765 46.4673C253.792 46.5267 253.806 46.5915 253.806 46.6571C253.806 46.7228 253.792 46.7876 253.765 46.847C253.737 46.9063 253.697 46.9588 253.647 47.0006C253.598 47.0424 253.54 47.0724 253.477 47.0886C253.415 47.1048 253.35 47.1068 253.286 47.0943Z" fill="black"/>
      <path d="M253.273 52.1462L26.2319 52.1921C25.8797 52.1921 25.5938 51.8115 25.5938 51.3393C25.5938 50.867 25.8797 50.4892 26.2319 50.4892L253.273 50.4433C253.567 50.4433 253.803 50.8238 253.803 51.2934C253.803 51.763 253.578 52.1462 253.273 52.1462Z" fill="#EF3E42"/>
      <path d="M252.662 7.0409H45.6094C45.4864 7.0594 45.3608 7.05066 45.2414 7.01527C45.1219 6.97989 45.0114 6.9187 44.9172 6.83586C44.8231 6.75301 44.7475 6.65047 44.6958 6.5352C44.644 6.41994 44.6172 6.29466 44.6172 6.16789C44.6172 6.04112 44.644 5.91584 44.6958 5.80057C44.7475 5.68531 44.8231 5.58276 44.9172 5.49992C45.0114 5.41708 45.1219 5.35588 45.2414 5.3205C45.3608 5.28512 45.4864 5.27638 45.6094 5.29488H252.662C252.881 5.30729 253.087 5.40467 253.237 5.56703C253.388 5.72939 253.472 5.9444 253.472 6.16789C253.472 6.39138 253.388 6.60638 253.237 6.76874C253.087 6.9311 252.881 7.02849 252.662 7.0409Z" fill="#EF3E42"/>
    </svg>
  </div>

  <p class="small-paragraph">Earn your faves for FREE in as few as 2-3 visits.</p>

  <div class="errors-container"></div>

  <!-- First Name -->
  <div class="input-section">
    <div class="input-wrapper">
      <label class="input-label">First Name</label>
      <input id="firstName" name="first_name" required class="input-field" value="{{{ first_name }}}" />
    </div>
    <div id="first-name-error" class="input-error-container hidden">
      <svg class="error-svg" width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M6.86001 2.57335L1.21335 12C1.09693 12.2016 1.03533 12.4302 1.03467 12.663C1.03402 12.8958 1.09434 13.1248 1.20963 13.327C1.32492 13.5293 1.49116 13.6978 1.69182 13.8159C1.89247 13.934 2.12055 13.9975 2.35335 14H13.6467C13.8795 13.9975 14.1076 13.934 14.3082 13.8159C14.5089 13.6978 14.6751 13.5293 14.7904 13.327C14.9057 13.1248 14.966 12.8958 14.9654 12.663C14.9647 12.4302 14.9031 12.2016 14.7867 12L9.14001 2.57335C9.02117 2.37742 8.85383 2.21543 8.65414 2.103C8.45446 1.99058 8.22917 1.93152 8.00001 1.93152C7.77086 1.93152 7.54557 1.99058 7.34588 2.103C7.1462 2.21543 6.97886 2.37742 6.86001 2.57335V2.57335Z" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
        <path d="M8 6V8.66667" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
        <path d="M8 11.3334H8.00667" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
      </svg>
      <p class="error-text">Please enter your first name</p>
    </div>
  </div>

  <!-- Last Name -->
  <div class="input-section">
    <div class="input-wrapper">
      <label class="input-label">Last Name</label>
      <input id="lastName" name="last_name" required class="input-field" value="{{{ last_name }}}" />
    </div>
    <div id="last-name-error" class="input-error-container hidden">
      <svg class="error-svg" width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M6.86001 2.57335L1.21335 12C1.09693 12.2016 1.03533 12.4302 1.03467 12.663C1.03402 12.8958 1.09434 13.1248 1.20963 13.327C1.32492 13.5293 1.49116 13.6978 1.69182 13.8159C1.89247 13.934 2.12055 13.9975 2.35335 14H13.6467C13.8795 13.9975 14.1076 13.934 14.3082 13.8159C14.5089 13.6978 14.6751 13.5293 14.7904 13.327C14.9057 13.1248 14.966 12.8958 14.9654 12.663C14.9647 12.4302 14.9031 12.2016 14.7867 12L9.14001 2.57335C9.02117 2.37742 8.85383 2.21543 8.65414 2.103C8.45446 1.99058 8.22917 1.93152 8.00001 1.93152C7.77086 1.93152 7.54557 1.99058 7.34588 2.103C7.1462 2.21543 6.97886 2.37742 6.86001 2.57335V2.57335Z" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
        <path d="M8 6V8.66667" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
        <path d="M8 11.3334H8.00667" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
      </svg>
      <p class="error-text">Please enter your last name</p>
    </div>
  </div>

  <!-- Email -->
  <div class="input-section">
    <div class="input-wrapper">
      <label class="input-label">Email</label>
      <input type="email" id="email" name="email" required class="input-field" value="{{{ email }}}" />
    </div>
    <div id="email-error" class="input-error-container hidden">
      <svg class="error-svg" width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M6.86001 2.57335L1.21335 12C1.09693 12.2016 1.03533 12.4302 1.03467 12.663C1.03402 12.8958 1.09434 13.1248 1.20963 13.327C1.32492 13.5293 1.49116 13.6978 1.69182 13.8159C1.89247 13.934 2.12055 13.9975 2.35335 14H13.6467C13.8795 13.9975 14.1076 13.934 14.3082 13.8159C14.5089 13.6978 14.6751 13.5293 14.7904 13.327C14.9057 13.1248 14.966 12.8958 14.9654 12.663C14.9647 12.4302 14.9031 12.2016 14.7867 12L9.14001 2.57335C9.02117 2.37742 8.85383 2.21543 8.65414 2.103C8.45446 1.99058 8.22917 1.93152 8.00001 1.93152C7.77086 1.93152 7.54557 1.99058 7.34588 2.103C7.1462 2.21543 6.97886 2.37742 6.86001 2.57335V2.57335Z" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
        <path d="M8 6V8.66667" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
        <path d="M8 11.3334H8.00667" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
      </svg>
      <p class="error-text">Please enter a valid email address</p>
    </div>
  </div>

  <!-- Password -->
  <div class="input-section">
    <div class="input-wrapper password-wrapper">
      <label class="input-label">Password</label>
      <input type="password" id="password" name="password" required class="input-field" value="{{{ password }}}" />
        <button type="button" class="password-toggle-icon password-toggle-on" onclick="togglePassword()">
          <svg width="20" height="20" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M18.0241 18.1962C17.7245 18.4909 17.6518 18.6512 17.2503 18.8151C16.8489 18.9791 16.4155 19.0673 15.9761 19.0744C15.5367 19.0815 15.1002 19.0074 14.6927 18.8565C14.2852 18.7056 13.915 18.481 13.6042 18.1962C13.2934 17.9113 13.0484 17.572 12.8838 17.1984C12.7192 16.8248 12.6384 16.4247 12.6461 16.0219C12.6539 15.6191 12.7501 15.2219 12.929 14.8539C13.1078 14.4859 13.3657 14.1547 13.6873 13.88M22 22C20.1352 23.303 18.3445 23.9649 16 24C8.36364 24 4 16 4 16C5.35697 13.6819 7.23906 11.6566 9.52 10.06L22 22ZM13.7091 8.24002C14.46 8.0789 15.2288 7.99836 16 8.00003C23.6364 8.00003 28 16 28 16C27.3378 17.1356 26.5481 18.2047 25.6436 19.19L13.7091 8.24002Z" stroke="#424242" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
            <path d="M4 4L28 28" stroke="#424242" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
          </svg>
        </button>
        <button type="button" class="password-toggle-icon password-toggle-off display-none" onclick="togglePassword()">
          <svg width="20" height="20" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M4 16C4 16 8.36364 8 16 8C23.6364 8 28 16 28 16C28 16 23.6364 24 16 24C8.36364 24 4 16 4 16Z" stroke="#424242" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
            <path d="M16.0001 17.3333C16.7365 17.3333 17.3334 16.7364 17.3334 16C17.3334 15.2636 16.7365 14.6667 16.0001 14.6667C15.2637 14.6667 14.6667 15.2636 14.6667 16C14.6667 16.7364 15.2637 17.3333 16.0001 17.3333Z" stroke="#424242" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
          </svg>
        </button>
    </div>
    <div id="password-error" class="input-error-container hidden">
      <svg class="error-svg" width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M6.86001 2.57335L1.21335 12C1.09693 12.2016 1.03533 12.4302 1.03467 12.663C1.03402 12.8958 1.09434 13.1248 1.20963 13.327C1.32492 13.5293 1.49116 13.6978 1.69182 13.8159C1.89247 13.934 2.12055 13.9975 2.35335 14H13.6467C13.8795 13.9975 14.1076 13.934 14.3082 13.8159C14.5089 13.6978 14.6751 13.5293 14.7904 13.327C14.9057 13.1248 14.966 12.8958 14.9654 12.663C14.9647 12.4302 14.9031 12.2016 14.7867 12L9.14001 2.57335C9.02117 2.37742 8.85383 2.21543 8.65414 2.103C8.45446 1.99058 8.22917 1.93152 8.00001 1.93152C7.77086 1.93152 7.54557 1.99058 7.34588 2.103C7.1462 2.21543 6.97886 2.37742 6.86001 2.57335V2.57335Z" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
        <path d="M8 6V8.66667" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
        <path d="M8 11.3334H8.00667" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
      </svg>
      <p class="error-text">Please enter a valid password</p>
    </div>
    <div class="password-requirement-container">
      <div class="password-requirement-wrapper">
        <input type="radio" name="password-lowercase-requirement-checkbox" id="one-lowercase-check" />
        <label class="password-requirement-label" for="password-one-lowercase-check">
          <svg class="password-requirement-svg" width="14" height="14" viewBox="0 0 14 14" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M 7, 7 m 6.375, 0 a 6.375,6.375 0 1,0 -12.75,0 a 6.375,6.375 0 1,0  12.75,0" fill="none" stroke="#898989" id="one-lowercase-svg" />
          </svg>
        </label>
        <span id="one-lowercase-text" class="password-requirement-text">At least 1 lowercase letter</span>
      </div>
      <div class="password-requirement-wrapper">
        <input type="radio" name="password-uppercase-requirement-checkbox" id="one-uppercase-check" />
        <label class="password-requirement-label" for="password-one-uppercase-check">
          <svg class="password-requirement-svg" width="14" height="14" viewBox="0 0 14 14" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M 7, 7 m 6.375, 0 a 6.375,6.375 0 1,0 -12.75,0 a 6.375,6.375 0 1,0  12.75,0" fill="none" stroke="#898989" id="one-uppercase-svg" />
          </svg>
        </label>
        <span id="one-uppercase-text" class="password-requirement-text">At least 1 uppercase letter</span>
      </div>
      <div class="password-requirement-wrapper">
        <input type="radio" name="password-special-char-requirement-checkbox" id="one-special-check" />
        <label class="password-requirement-label" for="password-one-special-check">
          <svg class="password-requirement-svg" width="14" height="14" viewBox="0 0 14 14" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M 7, 7 m 6.375, 0 a 6.375,6.375 0 1,0 -12.75,0 a 6.375,6.375 0 1,0  12.75,0" fill="none" stroke="#898989" id="one-special-svg" />
          </svg>
        </label>
        <span id="one-special-text" class="password-requirement-text">At least 1 special character</span>
      </div>
      <div class="password-requirement-wrapper">
        <input type="radio" name="password-number-requirement-checkbox" id="one-number-check" />
        <label class="password-requirement-label" for="password-one-number-check">
          <svg class="password-requirement-svg" width="14" height="14" viewBox="0 0 14 14" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M 7, 7 m 6.375, 0 a 6.375,6.375 0 1,0 -12.75,0 a 6.375,6.375 0 1,0  12.75,0" fill="none" stroke="#898989" id="one-number-svg" />
          </svg>
        </label>
        <span id="one-number-text" class="password-requirement-text">At least 1 number</span>
      </div>
      <div class="password-requirement-wrapper">
        <input type="radio" name="password-length-requirement-checkbox" id="password-char-length-requirement-check" />
        <label class="password-requirement-label" for="password-length-requirement-check">
          <svg class="password-requirement-svg" width="14" height="14" viewBox="0 0 14 14" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M 7, 7 m 6.375, 0 a 6.375,6.375 0 1,0 -12.75,0 a 6.375,6.375 0 1,0  12.75,0" fill="none" stroke="#898989" id="char-length-svg" />
          </svg>
        </label>
        <span id="char-length-text" class="password-requirement-text">At least 7 characters</span>
      </div>
    </div>
    <span class="error-icon"></span>
  </div>

  <!-- Password confirmation -->
  <input class="hidden" id="hidden_password_confirmation_field" name="password_confirmation" value="{{{ password_confirmation }}}" />

  <!-- Phone number mask-->
  <div class="input-section">
    <div class="input-wrapper">
      <label class="input-label">Phone Number</label>
      <input type="tel" id="phoneMask" name="phoneNumber" required class="input-field" maxlength="14" />
    </div>
    <div id="phone-error" class="input-error-container hidden">
      <svg class="error-svg" width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M6.86001 2.57335L1.21335 12C1.09693 12.2016 1.03533 12.4302 1.03467 12.663C1.03402 12.8958 1.09434 13.1248 1.20963 13.327C1.32492 13.5293 1.49116 13.6978 1.69182 13.8159C1.89247 13.934 2.12055 13.9975 2.35335 14H13.6467C13.8795 13.9975 14.1076 13.934 14.3082 13.8159C14.5089 13.6978 14.6751 13.5293 14.7904 13.327C14.9057 13.1248 14.966 12.8958 14.9654 12.663C14.9647 12.4302 14.9031 12.2016 14.7867 12L9.14001 2.57335C9.02117 2.37742 8.85383 2.21543 8.65414 2.103C8.45446 1.99058 8.22917 1.93152 8.00001 1.93152C7.77086 1.93152 7.54557 1.99058 7.34588 2.103C7.1462 2.21543 6.97886 2.37742 6.86001 2.57335V2.57335Z" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
        <path d="M8 6V8.66667" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
        <path d="M8 11.3334H8.00667" stroke="#E6740A" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
      </svg>
      <p class="error-text">Please enter a valid phone number</p>
    </div>
  </div>

  <!-- Phone number -->
  <input class="hidden" id="phone" name="phone" value="{{{ phone }}}" />

  <!-- Date of birth (Optional) -->
  <div class="input-section">
    <div class="input-wrapper">
      <label class="input-label">🎉 Birthday 🎉 (Optional)</label>
      <input type="date" id="dob" class="input-field" />
      <p class="birthday-input-hint-text">Enjoy a <span class="italicied-bold-hint-text">FREE TREAT</span> on your birthday</p>
    </div>
    <span class="error-icon"></span>
  </div>

  <input name="birthdayInput" id="hidden-dob" type="hidden" value="{{{ dob }}}" />

  <!-- Promotional text Toggle -->
  <div class="slider-container">
    <label class="switch">
      <input id="sms-toggle" type="checkbox">
      <span class="slider round"></span>
    </label>
    <p class="slider-text">Send me promotional text messages</p>
  </div>

  <!-- Implicit TOS on press Create Account (see legal info) -->
  <input name="tos" value="true" class="hidden" />

  <!-- Submit Button -->
  <div class="button-container">
    <button class="submit-button">Create Account</button>
  </div>

  <!-- Terms and Conditions -->
  <div class="spacer">
    <p class="small-text">Already have an account? <a class="nav" href="{{ base_path }}/login">Sign In</a></p>
    <div class="spacer">
      <p class="small-text">By clicking “Create account” you accept the <span class="small-bold-text pointer" onclick="openModal('https://www.pizzahut.com/assets/a/docs/terms-of-use.html')">Terms of Use</span> and the <span class="small-bold-text pointer" onclick="openModal('https://hutrewards.pizzahut.com/terms')">Hut Rewards Terms & Conditions</span></p>
    </div>
    <div class="spacer">
      <p class="small-bold-text">By opting into email or texts I agree to receive promotions and news from Pizza Hut, its franchisees and affiliates, and understand and agree that my information will be used as described in, and that I agree to, Pizza Hut's Privacy Policy, Terms of Use and Hut Rewards Terms & Conditions. I agree to receive automated marketing text messages. Consent to receive texts not a condition of purchase.</p>
    </div>
  </div>

  <div class="modal-link" id="modal">
    <div class="modal-layout-container">
      <div class="modal-content">
        <div class="modal-header">
          <div class="pointer circle-container" onclick="closeModal()">
            <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path d="M14 2L2 14" stroke="#FFF" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
              <path d="M2 2L14 14" stroke="#FFF" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
            </svg>
          </div>
        </div>
        <iframe class="iframe-content" id="external-window"></iframe>
      </div>
    </div>
  </div>

  <!-- end mobile-container -->
  <div class="modal-error-overlay">
    <div class="modal-error-content">
      <div class="modal-error-header">
        <div class="modal-error-icon"></div>
        <h2 class="modal-alert">Create Account Error</h2>
      </div>
      <div class="modal-error-body">
        <p class="small-text">Something went wrong with creating your account.</p>
      </div>
      <div>
        <button class="modal-error-close" onclick="closeErrorModal()">OK</button>
      </div>
    </div>
  </div>
</form>

<script>
  function togglePassword() {
    const passwordInput = document.getElementById('password');
    const hidePasswordToggle = document.querySelector('.password-toggle-off');
    const showPasswordToggle = document.querySelector('.password-toggle-on');
    if (passwordInput.type === 'password') {
      passwordInput.type = 'text';
      showPasswordToggle.classList.add('display-none');
      hidePasswordToggle.classList.remove('display-none');
    } else {
      passwordInput.type = 'password';
      showPasswordToggle.classList.remove('display-none');
      hidePasswordToggle.classList.add('display-none');
    }
  }

  // input fields for validation UI
  const firstNameField = document.getElementById('firstName');
  const lastNameField = document.getElementById('lastName');
  const emailField = document.getElementById('email');
  const passwordField = document.getElementById('password');
  const phoneNumberMask = document.getElementById('phoneMask');
  const phoneInputHidden = document.getElementById('phone');
  const birthdayField = document.getElementById('dob');
  const smsOptInToggle = document.getElementById('sms-toggle');
  const smsOptInHiddenInput = document.getElementById('opt-in-sms');
  // pwd requirement checked inputs
  const oneLowerCaseCheckbox = document.getElementById('one-lowercase-check');
  const oneUppercaseCheckbox = document.getElementById('one-uppercase-check');
  const oneSpecialCheckbox = document.getElementById('one-special-check');
  const oneNumberCheckbox = document.getElementById('one-number-check');
  const charLengthCheckbox = document.getElementById('password-char-length-requirement-check');
  // pwd requirement span text
  const oneLowercaseText = document.getElementById('one-lowercase-text');
  const oneUppercaseText = document.getElementById('one-uppercase-text');
  const oneSpecialText = document.getElementById('one-special-text');
  const oneNumberText = document.getElementById('one-number-text');
  const charLengthText = document.getElementById('char-length-text');
  // iframe modal
  const modal = document.getElementById('modal');

  function setSVGStatus(svg, checked, text) {
    if (checked) {
      svg.setAttribute('d', 'M14 7C14 10.866 10.866 14 7 14C3.13401 14 0 10.866 0 7C0 3.13401 3.13401 0 7 0C10.866 0 14 3.13401 14 7ZM10.9351 5.1154C11.1829 4.8751 11.189 4.47942 10.9487 4.23162C10.7084 3.98382 10.3127 3.97773 10.0649 4.21802L5.6875 8.46278L3.93509 6.76348C3.68729 6.52318 3.29161 6.52927 3.05131 6.77707C2.81102 7.02488 2.81711 7.42056 3.06491 7.66085L5.25241 9.78207C5.49484 10.0171 5.88016 10.0171 6.12259 9.78207L10.9351 5.1154Z');
      svg.setAttribute('stroke', 'none');
      svg.setAttribute('fill', '#238618');
      text.style.color = '#238618';
    } else {
      svg.setAttribute('d', 'M 7, 7 m 6.375, 0 a 6.375,6.375 0 1,0 -12.75,0 a 6.375,6.375 0 1,0  12.75,0');
      svg.setAttribute('stroke', '#898989');
      svg.setAttribute('fill', 'none');
      text.style.color = '#5A5A5A';
    }
  }

  passwordField.addEventListener('keyup', () => {
    const oneLowercaseSVG = document.getElementById('one-lowercase-svg');
    const oneUppercaseSVG = document.getElementById('one-uppercase-svg');
    const oneSpecialSVG = document.getElementById('one-special-svg');
    const oneNumberSVG = document.getElementById('one-number-svg');
    const charLengthSVG = document.getElementById('char-length-svg');

    const oneLowercaseRegex = /(?=.*[a-z])/;
    const oneUppercaseRegex = /(?=.*[A-Z])/;
    const oneSpecialCharacterRegex = /(?=.*[*@!#$%^&+=~{}])/;
    const oneNumberRegex = /(?=.*[0-9])/;

    if (oneLowercaseRegex.test(passwordField.value)) {
      oneLowerCaseCheckbox.checked = true;
      setSVGStatus(oneLowercaseSVG, oneLowerCaseCheckbox.checked, oneLowercaseText);
    } else {
      oneLowerCaseCheckbox.checked = false;
      setSVGStatus(oneLowercaseSVG, oneLowerCaseCheckbox.checked, oneLowercaseText);
    }
    if (oneUppercaseRegex.test(passwordField.value)) {
      oneUppercaseCheckbox.checked = true;
      setSVGStatus(oneUppercaseSVG, oneUppercaseCheckbox.checked, oneUppercaseText);
    } else {
      oneUppercaseCheckbox.checked = false;
      setSVGStatus(oneUppercaseSVG, oneUppercaseCheckbox.checked, oneUppercaseText);
    }
    if (oneSpecialCharacterRegex.test(passwordField.value)) {
      oneSpecialCheckbox.checked = true;
      setSVGStatus(oneSpecialSVG, oneSpecialCheckbox.checked, oneSpecialText)
    } else {
      oneSpecialCheckbox.checked = false;
      setSVGStatus(oneSpecialSVG, oneSpecialCheckbox.checked, oneSpecialText)
    }
    if (oneNumberRegex.test(passwordField.value)) {
      oneNumberCheckbox.checked = true;
      setSVGStatus(oneNumberSVG, oneNumberCheckbox.checked, oneNumberText);
    } else {
      oneNumberCheckbox.checked = false;
      setSVGStatus(oneNumberSVG, oneNumberCheckbox.checked, oneNumberText);
    }
    if (passwordField.value.length >= 7) {
      charLengthCheckbox.checked = true;
      setSVGStatus(charLengthSVG, charLengthCheckbox.checked, charLengthText);
    } else {
      charLengthCheckbox.checked = false;
      setSVGStatus(charLengthSVG, charLengthCheckbox.checked, charLengthText);
    }
  });

  phoneNumberMask.addEventListener('keydown', () => {
    const x = phoneNumberMask.value.replace(/\D/g, '').match(/(\d{0,3})(\d{0,3})(\d{0,4})/);
    phoneNumberMask.value = !x[2] ? x[1] : '(' + x[1] + ') ' + x[2] + (x[3] ? '-' + x[3] : '');
  });

  function openModal(url) {
    const iframeModal = document.getElementById('external-window');
    const iframeParent = iframeModal.parentElement;

    // Removing iframe and making new one clears iframe window history
    iframeModal.remove();
    iframeModal.setAttribute('src', url);
    iframeParent.append(iframeModal);
    modal.style.display = 'block';
  }

  function closeModal() {
    modal.style.display = 'none';
  };

  // add event listeners
  firstNameField.addEventListener('blur', () => didUpdateFirstName(firstNameField.value));
  lastNameField.addEventListener('blur', () => didUpdateLastName(lastNameField.value));
  emailField.addEventListener('blur', () => didUpdateEmail(emailField.value));
  passwordField.addEventListener('blur', () => didUpdatePassword(passwordField.value));
  phoneNumberMask.addEventListener('blur', () => didUpdatePhoneNumber(phoneInputHidden.value));
  birthdayField.addEventListener('blur', () => didUpdateBirthday(birthdayField.value));
  smsOptInToggle.addEventListener('change', () => didUpdateSmsOptInToggle());

  // validation
  function isValidName(nameValue) {
    const nameRegex = /^[A-Za-z0-9]{1,245}$/;
    return nameRegex.test(nameValue);
  };

  function didUpdateFirstName(firstNameValue) {
    const firstNameError = document.getElementById('first-name-error');
    if (isValidName(firstNameValue)) {
      firstNameError.classList.add('hidden');
    } else {
      firstNameError.classList.remove('hidden');
    }
  };

  function didUpdateLastName(lastNameValue) {
    const lastNameError = document.getElementById('last-name-error');
    if (isValidName(lastNameValue)) {
      lastNameError.classList.add('hidden');
    } else {
      lastNameError.classList.remove('hidden');
    }
  };

  function didUpdateEmail(emailValue) {
    const emailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
    const emailError = document.getElementById('email-error');
    if (emailRegex.test(emailValue)) {
      emailError.classList.add('hidden');
    } else {
      emailError.classList.remove('hidden');
    }
  };

  function isValidPassword(passwordValue) {
    const passwordRegex = /(?=.*[0-9])(?=.*[a-z])(?=.*[A-Z])(?=.*[*@!#$%^&+=~{}]).{7,}/
    return passwordRegex.test(passwordValue);
  };

  function didUpdatePassword(passwordValue) {
    const passwordConfirmationField = document.getElementById('hidden_password_confirmation_field');
    passwordConfirmationField.value = passwordValue;

    const passwordError = document.getElementById('password-error');
    if (isValidPassword(passwordValue)) {
      passwordError.classList.add('hidden');
    } else {
      passwordError.classList.remove('hidden');
    }
  };

  function isValidPhoneNumber(phoneValue) {
    const phoneRegex = /^[0-9]{10}$/;
    return phoneRegex.test(phoneValue);
  };

  function didUpdatePhoneNumber(phoneNumberValue) {
    const phoneError = document.getElementById('phone-error');
    phoneInputHidden.value = phoneNumberMask.value.replace(/\D/g, '');

    if (isValidPhoneNumber(phoneInputHidden.value)) {
      // add ext needed for successful form submit
      phoneInputHidden.value = '+1' + phoneInputHidden.value;
      phoneError.classList.add('hidden');
    } else {
      phoneError.classList.remove('hidden');
    }
  };

  function didUpdateBirthday(birthdayValue) {
    const [year, month, day] = birthdayValue.split('-').map(String);
    const hiddenBirthdayInput = document.getElementById('hidden-dob');

    const monthValue = month.length === 1 ? `0${month}` : month;
    const dayValue = day.length === 1 ? `0${day}` : day;

    hiddenBirthdayInput.value = `${monthValue}/${dayValue}/${year}`;
  };


  function didUpdateSmsOptInToggle() {
    if (smsOptInToggle.checked) {
      smsOptInHiddenInput.value = true;
    } else {
      smsOptInHiddenInput.value = false;
    }
  };

  // error modal
  const modalOverlay = document.querySelector('.modal-error-overlay');
  const modalCloseButton = document.querySelector('.modal-error-close');

  function closeErrorModal() {
    modalOverlay.style.display = 'none';
  };

  // helpers
  function handleAPIErrors(errors) {
    const modalOverlay = document.querySelector('.modal-error-overlay');
    const modalBody = document.querySelector('.modal-error-body');
    modalBody.innerHTML = '';

    console.log('API ERRORS: ', errors);

    if (errors && errors.length) {
      const lastError = errors[errors.length - 1];
      const errorMessage = ERROR_MESSAGES[lastError];

      if (errorMessage) {
        modalOverlay.style.display = 'flex';
        const errorBody = `<p class="small-text">${errorMessage}</p>`;
        modalBody.innerHTML = errorBody;
      }
    }
  };

  window.onload = () => {
    if (ERRORS && ERRORS.length) {
      handleAPIErrors(ERRORS);
    }
  };
</script>